<div class="page-content-wrapper">
    <!-- BEGIN CONTENT BODY -->
    <div class="page-content">
        <!-- BEGIN PAGE BREADCRUMB -->
        <div class="page-bar">
            <ul class="page-breadcrumb">
                <li>
                    <i class="icon-home"></i>
                    <a href="index.html">Home</a>
                    <i class="fa fa-angle-right"></i>
                </li>
                <li>
                    <span>New Post</span>
                </li>
            </ul>
            <div class="page-toolbar">

            </div>
        </div>
        <!-- END PAGE BREADCRUMB -->
        <!-- BEGIN PAGE BASE CONTENT -->
        <div class="row">
              <div class="col-md-12">
                  <div class="portlet light bordered" id="form_wizard_1">
                      <div class="portlet-title">
                          <div class="caption">
                              <i class=" icon-layers font-red"></i>
                              <span class="caption-subject font-red bold uppercase"> Create Post Wizard -
                                  <span class="step-title"> Step 1 of 3 </span>
                              </span>
                          </div>
                          <div class="actions">

                          </div>
                      </div>
                      <div class="container-fluid">
                        <div class="row">
                          <div class="col col-sm-8">
                            <div id="carouselExampleControls" class="carousel slide" data-ride="carousel">
                                    <div class="carousel-inner">
                                      <div class="carousel-item active">
                                        <img src="/assets/preview/1-big.jpeg" class="d-block w-100" alt="...">
                                      </div>
                                      <div class="carousel-item">
                                        <img src="/assets/preview/2-big.jpeg" class="d-block w-100" alt="...">
                                      </div>
                                      <div class="carousel-item">
                                        <img src="/assets/preview/3-big.jpeg" class="d-block w-100" alt="...">
                                      </div>
                                    </div>
                                    <a class="carousel-control-prev" href="#carouselExampleControls" role="button" data-slide="prev">
                                      <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                                      <span class="sr-only">Previous</span>
                                    </a>
                                    <a class="carousel-control-next" href="#carouselExampleControls" role="button" data-slide="next">
                                      <span class="carousel-control-next-icon" aria-hidden="true"></span>
                                      <span class="sr-only">Next</span>
                                    </a>
                                  </div>
                          </div>
                          <div class="col col-sm-4">
                            <div class="row">
                            <div class="col-sm-1">  <img src="../assets/img/profile.jpg" alt=""></div>
                            <div class="col-sm-11"><a href="javascript:;">Sreenivas Sreenivas</a>
                            <span class="display-bl text-gray">October 05, 2009</span>
                            </div>
                            <div class="col-md-12" [innerHtml]="imgdesc">

                            </div>
                            </div>
                            <hr>
                            <div class="post-footer-option">
                                 <ul class="list-unstyled">
                                     <li><a href="#"><em class="fa fa-thumbs-o-up" aria-hidden="true"></em> Like</a></li>
                                     <li><a href="#"><em class="fa fa-comment" aria-hidden="true"></em> Comment</a></li>
                                     <li><a href="#"><em class="fa fa-share" aria-hidden="true"></em> Share</a></li>
                                 </ul>
                            </div>
                            <div class="row">
                                <div class="col">
                                    <div class="comment-wrapper">
                                        <div class="col-md-12">
                                            <textarea class="form-control" placeholder="write a comment..." rows="3"></textarea>
                                            <br>
                                            <button type="button" class="btn btn-info pull-right">Post</button>
                                            <div class="clearfix"></div>
                                        </div>
                                    </div>

                                </div>
                            </div>

                          </div>
                        </div>
                      </div>                      <div class="portlet-body form">

                          <form class="form-horizontal" action="#" id="submit_form" method="POST">
                              <div class="form-wizard">
                                  <div class="form-body">
                                      <ul class="nav nav-pills nav-justified steps">
                                          <li class="done">
                                              <a href="#tab1" data-toggle="tab" class="step" (click)="OnMenuClick($event)">
                                                  <span class="number"> 1 </span>
                                                  <span class="desc">
                                                      <i class="fa fa-check"></i> Post Content </span>
                                              </a>
                                          </li>
                                          <li class="active">
                                              <a href="#tab2" data-toggle="tab" class="step" (click)="OnMenuClick($event)">
                                                  <span class="number"> 2 </span>
                                                  <span class="desc">
                                                      <i class="fa fa-check"></i> Upload Images </span>
                                              </a>
                                          </li>
                                          <li>
                                              <a href="#tab3" data-toggle="tab" class="step" (click)="OnMenuClick($event)">
                                                  <span class="number"> 3 </span>
                                                  <span class="desc">
                                                      <i class="fa fa-check"></i> Preview & Publish </span>
                                              </a>
                                          </li>
                                      </ul>
                                      <div id="bar" class="progress progress-striped" role="progressbar">
                                          <div class="progress-bar progress-bar-success" style="width:75%"> </div>
                                      </div>
                                      <div class="tab-content">
                                          <div class="alert alert-danger display-none">
                                              <button class="close" data-dismiss="alert"></button> You have some form errors. Please check below. </div>
                                          <div class="alert alert-success display-none">
                                              <button class="close" data-dismiss="alert"></button> Your form validation is successful! </div>
                                          <div class="tab-pane" id="tab1">
                                              <div class="form-group">
                                                  <div class="col-md-12">
                                                      <label class=" control-label">Post Content:
                                                          <span class="required"> * </span>
                                                      </label>
                                                      <textarea class="form-control maxlength-handler" rows="12" name="content" maxlength="1000" [(ngModel)] = "this.postConent"></textarea>
                                                      <span class="help-block"> max 1000 chars </span>
                                                  </div>
                                              </div>


                                          </div>
                                          <div class="tab-pane active" id="tab2">
                                                  <div class="alert alert-success margin-bottom-10 hide">
                                                  <button type="button" class="close" data-dismiss="alert" aria-hidden="true"></button>
                                                  <i class="fa fa-warning fa-lg"></i> Image type and information need to be specified. </div>

                                                  <div id="tab_images_uploader_container" class="text-align-reverse margin-bottom-10" style="position: relative;">
                                                          <a id="tab_images_uploader_pickfiles" href="javascript:;" class="btn btn-success" style="position: relative; z-index: 1;" (click)="OnSelectFiles()">
                                                              <i class="fa fa-plus"></i> Select Files </a>
                                                          <a id="tab_images_uploader_uploadfiles" href="javascript:;" class="btn btn-primary" (click)="OnUploadFiles()">
                                                              <i class="fa fa-share"></i> Upload Files </a>
                                                  </div>

                                                  <div class="m-heading-1 border-green m-bordered hide">
                                                      <p>
                                                          <span class="label label-danger">NOTE:</span> &nbsp; This plugins works only on Latest Chrome, Firefox, Safari, Opera & Internet Explorer 10. </p>
                                                  </div>
                                                  <div class="dropzone dropzone-file-area" id="my-dropzone" style="width: auto; margin-top: 50px;" dropzone
                                                  (hovered)="toggleHover($event)" (dropped)="onDrop($event)" [class.hovering]="isHovering">
                                                      <h3 class="sbold">Drop files here or click to upload</h3>
                                                      <p> Drag and Drop a File. </p>
                                                      <label class="file-label">
                                                          <input type="file" name="files[]" multiple="" (change)="startDisplay($event.target.files)" style="display:none;">
                                                          <span class="file-cta" #cta>
                                                              <span class="file-icon"><i class="fa fa-upload"></i></span><span class="file-label">or choose a file…</span>
                                                          </span>
                                                      </label>

                                                      <div class="dropzone" style="border: 0px" #dz>
                                                          <displayimg [file]="file" *ngFor="let file of files"></displayimg>
                                                      </div>

                                                   </div>
                                          </div>
                                          <div class="tab-pane" id="tab3">
                                              <h4 class="form-section">Preview</h4>
                                              <div class="form-group">
                                                  <div class="col-md-12">
                                                      <p class="form-control-static" data-display="username"> {{ this.postConent }}</p>
                                                  </div>
                                              </div>
                                              <div class="form-group">
                                                  <div class="col-md-12">
                                                        <div id="js-grid-juicy-projects" class="cbp">
                                                                <div class="cbp-item graphic">
                                                                    <div class="cbp-caption">
                                                                        <div class="cbp-caption-defaultWrap">
                                                                            <img src="../assets/global/img/portfolio/600x600/013.jpg" alt=""> </div>
                                                                        <div class="cbp-caption-activeWrap">
                                                                            <div class="cbp-l-caption-alignCenter">
                                                                                <div class="cbp-l-caption-body">
                                                                                    <a href="../assets/global/plugins/cubeportfolio/ajax/project1.html" class="cbp-singlePage cbp-l-caption-buttonLeft btn red uppercase btn red uppercase" rel="nofollow">more info</a>
                                                                                    <a href="../assets/global/img/portfolio/1200x900/57.jpg" class="cbp-lightbox cbp-l-caption-buttonRight btn red uppercase btn red uppercase" data-title="Dashboard<br>by Paul Flavius Nechita" (click)="OnClick()">view larger</a>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                    <div class="cbp-l-grid-projects-title uppercase text-center uppercase text-center row">Dashboard</div>
                                                                    <div class="cbp-l-grid-projects-desc uppercase text-center uppercase text-center">Web Design / Graphic</div>
                                                                </div>
                                                                <div class="cbp-item web-design logos">
                                                                    <div class="cbp-caption">
                                                                        <div class="cbp-caption-defaultWrap">
                                                                            <img src="../assets/global/img/portfolio/600x600/05.jpg" alt=""> </div>
                                                                        <div class="cbp-caption-activeWrap">
                                                                            <div class="cbp-l-caption-alignCenter">
                                                                                <div class="cbp-l-caption-body">
                                                                                    <a href="../assets/global/plugins/cubeportfolio/ajax/project2.html" class="cbp-singlePage cbp-l-caption-buttonLeft btn red uppercase btn red uppercase" rel="nofollow">more info</a>
                                                                                    <a href="../assets/global/img/portfolio/1200x900/50.jpg" class="cbp-lightbox cbp-l-caption-buttonRight btn red uppercase btn red uppercase" data-title="World Clock Widget<br>by Paul Flavius Nechita" (click)="OnClick()">view larger</a>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                    <div class="cbp-l-grid-projects-title uppercase text-center">World Clock Widget</div>
                                                                    <div class="cbp-l-grid-projects-desc uppercase text-center">Logo / Web Design</div>
                                                                </div>
                                                                <div class="cbp-item graphic logos">
                                                                    <div class="cbp-caption">
                                                                        <div class="cbp-caption-defaultWrap">
                                                                            <img src="../assets/global/img/portfolio/600x600/16.jpg" alt=""> </div>
                                                                        <div class="cbp-caption-activeWrap">
                                                                            <div class="cbp-l-caption-alignCenter">
                                                                                <div class="cbp-l-caption-body">
                                                                                    <a href="../assets/global/plugins/cubeportfolio/ajax/project1.html" class="cbp-singlePage cbp-l-caption-buttonLeft btn red uppercase btn red uppercase" rel="nofollow">more info</a>
                                                                                    <a href="http://vimeo.com/14912890" class="cbp-lightbox cbp-l-caption-buttonRight btn red uppercase btn red uppercase" data-title="To-Do Dashboard<br>by Tiberiu Neamu" (click)="OnClick()">view video</a>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                    <div class="cbp-l-grid-projects-title uppercase text-center">To-Do Dashboard</div>
                                                                    <div class="cbp-l-grid-projects-desc uppercase text-center">Graphic / Logo</div>
                                                                </div>
                                                                <div class="cbp-item web-design graphic">
                                                                    <div class="cbp-caption">
                                                                        <div class="cbp-caption-defaultWrap">
                                                                            <img src="../assets/global/img/portfolio/600x600/33.jpg" alt=""> </div>
                                                                        <div class="cbp-caption-activeWrap">
                                                                            <div class="cbp-l-caption-alignCenter">
                                                                                <div class="cbp-l-caption-body">
                                                                                    <a href="../assets/global/plugins/cubeportfolio/ajax/project2.html" class="cbp-singlePage cbp-l-caption-buttonLeft btn red uppercase btn red uppercase" rel="nofollow">more info</a>
                                                                                    <a href="https://w.soundcloud.com/player/?url=https%3A//api.soundcloud.com/tracks/4900333&amp;auto_play=true&amp;hide_related=false&amp;show_comments=true&amp;show_user=true&amp;show_reposts=false&amp;visual=true"
                                                                                        class="cbp-lightbox cbp-l-caption-buttonRight btn red uppercase btn red uppercase" data-title="Events and  More<br>by Tiberiu Neamu" (click)="OnClick()">view sound</a>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                    <div class="cbp-l-grid-projects-title uppercase text-center">Events and More</div>
                                                                    <div class="cbp-l-grid-projects-desc uppercase text-center">Web Design / Graphic</div>
                                                                </div>


                                                                <div class="cbp-item identity logos">
                                                                    <div class="cbp-caption">
                                                                        <div class="cbp-caption-defaultWrap">
                                                                            <img src="../assets/global/img/portfolio/600x600/102.jpg" alt=""> </div>
                                                                        <div class="cbp-caption-activeWrap">
                                                                            <div class="cbp-l-caption-alignCenter">
                                                                                <div class="cbp-l-caption-body">
                                                                                    <a href="../assets/global/plugins/cubeportfolio/ajax/project1.html" class="cbp-singlePage cbp-l-caption-buttonLeft btn red uppercase" rel="nofollow">more info</a>
                                                                                    <a href="../assets/global/img/portfolio/1200x900/92.jpg" class="cbp-lightbox cbp-l-caption-buttonRight btn red uppercase" data-title="Generic Apps<br>by Cosmin Capitanu" (click)="OnClick()">view video</a>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                    <div class="cbp-l-grid-projects-title uppercase text-center">Generic Apps</div>
                                                                    <div class="cbp-l-grid-projects-desc uppercase text-center">Identity / Logo</div>
                                                                </div>
                                                                <div class="cbp-item graphic web-design">
                                                                    <div class="cbp-caption">
                                                                        <div class="cbp-caption-defaultWrap">
                                                                            <img src="../assets/global/img/portfolio/600x600/96.jpg" alt=""> </div>
                                                                        <div class="cbp-caption-activeWrap">
                                                                            <div class="cbp-l-caption-alignCenter">
                                                                                <div class="cbp-l-caption-body">
                                                                                    <a href="../assets/global/plugins/cubeportfolio/ajax/project2.html" class="cbp-singlePage cbp-l-caption-buttonLeft btn red uppercase" rel="nofollow">more info</a>
                                                                                    <a href="https://w.soundcloud.com/player/?url=https%3A//api.soundcloud.com/tracks/26519543&amp;auto_play=true&amp;hide_related=false&amp;show_comments=true&amp;show_user=true&amp;show_reposts=false&amp;visual=true"
                                                                                        class="cbp-lightbox cbp-l-caption-buttonRight btn red uppercase" data-title="Speed Detector<br>by Cosmin Capitanu" (click)="OnClick()">view sound</a>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                    <div class="cbp-l-grid-projects-title uppercase text-center">Speed Detector</div>
                                                                    <div class="cbp-l-grid-projects-desc uppercase text-center">Graphic / Web Design</div>
                                                                </div>
                                                            </div>
                                                    <!-- <div class="portfolio-content portfolio-4">
                                                        <div id="js-grid-full-width" class="cbp cbp-caption-active cbp-caption-zoom cbp-ready" style="height: 766px;">
                                                            <div class="cbp-wrapper-outer"><div class="cbp-wrapper d-flex flex-wrap bg-light">
                                                                <displayimgpreview [file]="file" *ngFor="let file of files"></displayimgpreview>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div> -->
                                                  </div>
                                              </div>
                                          </div>
                                      </div>
                                  </div>
                                  <div class="form-actions">
                                      <div class="row">
                                          <div class="col-md-offset-3 col-md-9">
                                              <a href="javascript:;" class="btn default button-previous" (click)="OnBack()">
                                                  <i class="fa fa-angle-left"></i> Back </a>
                                              <a href="javascript:;" class="btn btn-outline green button-next" (click)="OnContinue()"> Continue
                                                  <i class="fa fa-angle-right"></i>
                                              </a>
                                              <a href="javascript:;" class="btn green button-submit hide"> Publish
                                                  <i class="fa fa-check"></i>
                                              </a>
                                          </div>
                                      </div>
                                  </div>
                              </div>
                          </form>
                      </div>
                  </div>
              </div>
          </div>
        <!-- END PAGE BASE CONTENT -->
    </div>
    <!-- END CONTENT BODY -->
  </div>


